This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 964535 - ami-d1553cb8 RHEL 5.5 x86_64 us-east-1
ami-d1553cb8 RHEL 5.5 x86_64 us-east-1
Status: CLOSED WONTFIX
Product: Cloud Image Validation
Classification: Red Hat
Component: images (Show other bugs)
RHEL5.5
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: mkovacik
mkovacik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-18 20:20 EDT by Vitaly Kuznetsov
Modified: 2013-05-29 10:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 10:00:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ami-d1553cb8.yaml (37.61 KB, text/yaml)
2013-05-18 20:20 EDT, Vitaly Kuznetsov
no flags Details

  None (edit)
Description Vitaly Kuznetsov 2013-05-18 20:20:16 EDT

    
Comment 1 Vitaly Kuznetsov 2013-05-18 20:20:20 EDT
Created attachment 749858 [details]
ami-d1553cb8.yaml
Comment 2 Vitaly Kuznetsov 2013-05-18 20:20:27 EDT
Validation failed for ami-d1553cb8 in us-east-1 product: RHEL, version: 5.5, arch: x86_64

m1.small
test stage1:testcase_01_bash_history succeeded
test stage1:testcase_02_ipv6 succeeded
test stage1:testcase_03_chkconfig succeeded
test stage1:testcase_04_cloud_firstboot succeeded
test stage1:testcase_05_grub succeeded
test stage1:testcase_06_inittab succeeded
test stage1:testcase_07_libc6_xen_conf succeeded
test stage1:testcase_08_memory succeeded
test stage1:testcase_09_nameserver succeeded
test stage1:testcase_10_networking succeeded
test stage1:testcase_11_package_set failed
--->
	command: rpm -qa --queryformat '%{NAME},' && echo
	match: .*
(.*),
.*
	result: passed
	value: ['mailcap,tzdata,chkconfig,libstdc++,cyrus-sasl-lib,atk,pcre,libICE,libsysfs,libgcrypt,dmidecode,perl-BSD-Resource,file,sgpio,libFS,hesiod,libtermcap,grep,nss,libxml2,binutils,libXfont,bzip2,svrcore,make,gamin,crontabs,libXext,libXmu,libXcursor,libXi,bitstream-vera-fonts,mozldap,nss-tools,lftp,time,nc,sysfsutils,cyrus-sasl-plain,lslk,dosfstools,pam_passwdqc,patch,symlinks,grub,man-pages-fr,rootfiles,redhat-release-notes,shadow-utils,findutils,kpartx,tar,device-mapper-event,vim-minimal,parted,lsof,aspell-cs,aspell-ru,openssl,fontconfig,udev,dbus-libs,dbus-python,libsemanage,initscripts,dmraid,usermode,which,libsmbclient,curl,net-snmp-libs,pyOpenSSL,gettext,audit-libs-python,dmraid-events,mod_ssl,webalizer,mod_authz_ldap,postgresql,irqbalance,MySQL-python,krb5-workstation,autofs,cyrus-sasl-gssapi,pam_pkcs11,cyrus-sasl-md5,openswan,audit,gtk2,pygtk2-libglade,w3m,pinfo,Deployment_Guide-en-US,Deployment_Guide-zh-CN,Deployment_Guide-zh-TW,sos,logwatch,rpm-python,hwdata,gjdoc,setools,kernel-xen,yum-updatesd,kudzu,yum-rhn-plugin,fonts-korean,firstboot-tui,gpg-pubkey,libgcc,filesystem,basesystem,cracklib-dicts,glibc-common,zlib,glib2,popt,audit-libs,expat,tcp_wrappers,libcap,libpng,libacl,libjpeg,elfutils-libelf,libSM,libgpg-error,libXau,perl,gnutls,libfontenc,zip,slang,perl-DBI,gmp,libtool-ltdl,ethtool,libXdmcp,mailx,libvolume_id,wireless-tools,checkpolicy,termcap,bash,info,libsepol,nspr,freetype,gawk,sqlite,libidn,diffutils,iptables,gpm,gzip,iptables-ipv6,hmaccalc,cpio,libgomp,cpp,tcl,iputils,iproute,jpackage-utils,libX11,libXrender,libXt,libXrandr,libXfixes,libXaw,libXtst,redhat-menus,redhat-release,kernel-headers,anacron,iptstate,jwhois,ftp,udftools,nano,mgetty,dialog,mtr,cpuspeed,fbset,acl,attr,beecrypt,compat-db,dos2unix,traceroute,ncompress,hdparm,compat-libstdc++-33,setserial,pam_smb,tree,setarch,glibc-devel,man-pages-ko,man-pages-it,man-pages-es,man-pages,man-pages-ru,man-pages-ja,words,libselinux,device-mapper,aspell,fipscheck-lib,logrotate,e2fsprogs,libselinux-utils,psmisc,cryptsetup-luks,lvm2,net-tools,rhnsd,tmpwatch,mlocate,vim-enhanced,kernel-xen-devel,aspell-de,aspell-fr,aspell-it,aspell-es,python,pam,openldap,cairo,postgresql-libs,util-linux,libxml2-python,apr-util,dbus-glib,system-config-securitylevel-tui,pango,libuser,m2crypto,mx,rsyslog,httpd,dbus,exim,passwd,kbd,python-dmidecode,ntsysv,gd,samba-common,neon,gnupg,distcache,fipscheck,ruby,python-sqlite,yum-metadata-parser,gamin-python,python-elementtree,tcsh,alsa-lib,cracklib,mtools,subversion,samba-client,setuptool,openssh-server,mod_perl,rng-utils,dhcpv6-client,dhclient,acpid,quota,postgresql-python,mysql-connector-odbc,prelink,openldap-clients,sudo,pam_krb5,pam_ccreds,at,stunnel,nmap,libhugetlbfs,readahead,tux,ksh,htmlview,hicolor-icon-theme,libgcj,libglade2,rhnlib,python-urlgrabber,rhn-check,mutt,psgml,system-config-securitylevel,Deployment_Guide-ko-KR,Deployment_Guide-de-DE,Deployment_Guide-fr-FR,Deployment_Guide-it-IT,Deployment_Guide-es-ES,xinetd,rhel-instnum,python-setuptools,rpm,rpm-libs,mkinitrd,module-init-tools,java-1.4.2-gcj-compat,antlr,postgresql-jdbc,net-snmp,man,selinux-policy-targeted,yum-utils,yum-fastestmirror,yum-security,hal,pm-utils,rhn-client-tools,rhn-setup,fonts-KOI8-R,fonts-japanese,rh-amazon-rhui-client,fonts-KOI8-R-75dpi,gpg-pubkey,setup,nash,glibc,mktemp,db4,bzip2-libs,libattr,keyutils-libs,libusb,gdbm,libtiff,unixODBC,perl-String-CRC32,mingetty,pkgconfig,libart_lgpl,perl-URI,ncurses,readline,sed,ttmkfdir,procps,less,vim-common,groff,desktop-file-utils,lm_sensors,xorg-x11-filesystem,xorg-x11-font-utils,libXpm,libXinerama,redhat-logos,libXp,crash,bc,ed,telnet,unzip,rsync,libicu,unix2dos,finger,libaio,pax,glibc-headers,man-pages-de,man-pages-pl,man-pages-cs,gcc,e2fsprogs-libs,apr,libutempter,device-mapper-multipath,MAKEDEV,aspell-en,nss_db,aspell-pt,aspell-pl,coreutils,krb5-libs,newt,rhpl,mysql,libXft,SysVinit,pygobject2,openssh,mcstrans,authconfig,pycairo,bind-libs,cups-libs,ruby-libs,libselinux-python,python-numeric,nscd,nss_ldap,bind-utils,openssh-clients,mod_python,vixie-cron,vsftpd,xterm,postgresql-odbc,pkinit-nss,screen,tcpdump,iscsi-initiator-utils,conman,python-iniparse,pygtk2,ruby-irb,sgml-common,ruby-rdoc,Deployment_Guide-ru-RU,Deployment_Guide-pt-BR,Deployment_Guide-ja-JP,liberation-fonts,policycoreutils,yum,pciutils,usbutils,selinux-policy,yum-updateonboot,chkfontpath,xorg-x11-xfs,system-config-network-tui,fonts-chinese,fonts-KOI8-R-100dpi']
<---
--->
	comment: Newly introduced packages: ['iscsi-initiator-utils']
	result: passed
<---
--->
	comment: some packages are missing: ['GConf2', 'ImageMagick', 'ORBit2', 'audiofile', 'authconfig-gtk', 'avahi', 'avahi-compat-libdns_sd', 'avahi-glib', 'bitmap-fonts', 'busybox', 'cups', 'docbook-dtds', 'esound', 'gail', 'ghostscript', 'ghostscript-fonts', 'gnome-doc-utils', 'gnome-keyring', 'gnome-mime-data', 'gnome-mount', 'gnome-python2', 'gnome-python2-bonobo', 'gnome-python2-canvas', 'gnome-python2-extras', 'gnome-python2-gnomevfs', 'gnome-python2-gtkhtml2', 'gnome-vfs2', 'gtk2-engines', 'gtkhtml2', 'kexec-tools', 'lcms', 'libIDL', 'libXres', 'libXxf86vm', 'libbonobo', 'libbonoboui', 'libcroco', 'libdaemon', 'libdrm', 'libevent', 'libgnome', 'libgnomecanvas', 'libgnomeui', 'libgsf', 'libgssapi', 'libnotify', 'librsvg2', 'libwmf', 'libwnck', 'libxslt', 'm4', 'mesa-libGL', 'nfs-utils', 'nfs-utils-lib', 'notification-daemon', 'notify-python', 'ntp', 'openjade', 'opensp', 'paps', 'policycoreutils-gui', 'poppler', 'poppler-utils', 'portmap', 'pyorbit', 'redhat-artwork', 'redhat-lsb', 'scrollkeeper', 'selinux-policy-devel', 'setroubleshoot', 'setroubleshoot-plugins', 'setroubleshoot-server', 'shared-mime-info', 'startup-notification', 'system-config-date', 'system-config-kdump', 'system-config-language', 'system-config-lvm', 'system-config-network', 'system-config-nfs', 'system-config-rootpassword', 'system-config-services', 'system-config-users', 'urw-fonts', 'usermode-gtk', 'vnc', 'vnc-server', 'xml-common', 'xorg-x11-fonts-Type1', 'xorg-x11-fonts-base', 'xorg-x11-twm', 'xorg-x11-xauth', 'xulrunner', 'yelp']
	result: failed
<---
test stage1:testcase_12_passwd_group succeeded
test stage1:testcase_13_resize2fs succeeded
test stage1:testcase_14_host_details succeeded
test stage1:testcase_15_rhel_version succeeded
test stage1:testcase_16_selinux succeeded
test stage1:testcase_17_shells succeeded
test stage1:testcase_18_sshd failed
--->
	command: rpm -q systemd > /dev/null && echo True || echo False
	result: passed
	value: False
<---
--->
	command: chkconfig --list sshd | grep '0:off[[:space:]]*1:off[[:space:]]*2:on[[:space:]]*3:on[[:space:]]*4:on[[:space:]]*5:on[[:space:]]*6:off'
	result: passed
<---
--->
	command: service sshd status | grep running
	result: passed
<---
--->
	actual: 1
	command: grep 'PasswordAuthentication no' /etc/ssh/sshd_config
	result: failed
<---
test stage1:testcase_19_rhn_system_id succeeded
test stage1:testcase_20_auditd succeeded
test stage1:testcase_21_disk_size_format succeeded
test stage1:testcase_22_gpg_keys succeeded
test stage1:testcase_23_syslog succeeded
test stage1:testcase_24_yum_plugin succeeded
test stage1:testcase_25_uname failed
--->
	command: uname -r | sed 's,\.el5xen,.el5,'
	result: passed
	value: 2.6.18-194.32.1.el5
<---
--->
	command: rpm -q --last kernel-xen | sed -e 's,^kernel-xen-,,' -e 's,[[:space:]].*$,,' | head -1
	result: passed
	value: 2.6.18-194.32.1.el5
<---
--->
	command: uname -o
	result: passed
	value: GNU/Linux
<---
--->
	command: [ 2.6.18-194.32.1.el5 = 2.6.18-194.32.1.el5 ]
	result: passed
<---
--->
	command: [ GNU/Linux = 'GNU/Linux' ]
	result: passed
<---
--->
	actual: 2
	command: grep UPDATEDEFAULT=yes /etc/sysconfig/kernel
	result: failed
<---
--->
	actual: 2
	command: grep DEFAULTKERNEL=kernel /etc/sysconfig/kernel
	result: failed
<---
test stage1:testcase_26_verify_rpms succeeded
test stage1:testcase_28_iptables succeeded
test stage1:testcase_33_userdata succeeded
test stage1:testcase_34_cpu succeeded
test stage1:testcase_360_ebs succeeded
test stage1:testcase_39_root_is_locked succeeded
test stage1:testcase_40_selinux_context succeeded
test stage1:testcase_50_yum_package_install succeeded
test stage1:testcase_55_yum_group_install succeeded
test stage1:testcase_61_yum_proxy succeeded
test stage1:testcase_99_reboot succeeded
test stage2:testcase_08_memory succeeded
test stage2:testcase_25_uname failed
--->
	command: uname -r | sed 's,\.el5xen,.el5,'
	result: passed
	value: 2.6.18-194.32.1.el5
<---
--->
	command: rpm -q --last kernel-xen | sed -e 's,^kernel-xen-,,' -e 's,[[:space:]].*$,,' | head -1
	result: passed
	value: 2.6.18-194.32.1.el5
<---
--->
	command: uname -o
	result: passed
	value: GNU/Linux
<---
--->
	command: [ 2.6.18-194.32.1.el5 = 2.6.18-194.32.1.el5 ]
	result: passed
<---
--->
	command: [ GNU/Linux = 'GNU/Linux' ]
	result: passed
<---
--->
	actual: 2
	command: grep UPDATEDEFAULT=yes /etc/sysconfig/kernel
	result: failed
<---
--->
	actual: 2
	command: grep DEFAULTKERNEL=kernel /etc/sysconfig/kernel
	result: failed
<---

Note You need to log in before you can comment on or make changes to this bug.